## Class Type

    java.lang.Object
      |
      +--Type

Direct Known Subclasses:
  BaseType, RefType, ReturnType, TyploseVariable

public class Type
extends java.lang.Object

Field Summary
`boolean` `hamaDebug`
`java.lang.String` `type`
`UsedId` `used`

Constructor Summary
`Type()`
`Type(java.lang.String s)`

Method Summary
`java.lang.String` `get_codegen_Type(de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` `get_Name()`
`java.lang.String` `get_Type()`
`UsedId` `get_UsedId()`
`void` `set_Type(java.lang.String type)`
`void` `set_UsedId(UsedId uid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hamaDebug

    public boolean hamaDebug

### type

    public java.lang.String type

### used

    public UsedId used

Constructor Detail

### Type

    public Type(java.lang.String s)

### Type

    public Type()

Method Detail

### set_Type

    public void set_Type(java.lang.String type)

### set_UsedId

    public void set_UsedId(UsedId uid)

### get_UsedId

    public UsedId get_UsedId()

### get_Name

    public java.lang.String get_Name()

### get_codegen_Type

    public java.lang.String get_codegen_Type(de.dhbwstuttgart.typeinference.Menge paralist)

### get_Type

    public java.lang.String get_Type()